﻿using System;
namespace Helios.Source
{
	public class BatteryChargeModule
	{

        public double Efficiency { get; set; }
        public double TotalOutput { get; set; }
        public double PowerBalence { get; set; }

        public BatteryChargeModule() { }

		public BatteryChargeModule(double efficiency)
        {
            this.Efficiency = efficiency;
        }

        public double GetTotalOutput(double solarPanelEfficiency, double solarEnergy, double roofArea, double sunAngle)
        {
            double totalOutput;

            totalOutput = solarPanelEfficiency * solarEnergy * roofArea * this.Efficiency * Math.Sin(sunAngle);

            this.TotalOutput = totalOutput;

            return totalOutput;
        }

        public double GetPowerBalence(double powerConsumption)
        {
            double powerBalence;

            powerBalence = this.Efficiency * powerConsumption;

            this.PowerBalence = powerBalence;

            return powerBalence;
        }
	}
}

